curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/settlements \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"settlement_rail": "xendit",
"status": "<string>",
"amount": 123,
"currency": "<string>",
"balance_before": 123,
"balance_after": 123,
"description": "<string>",
"xendit_transfer_id": "<string>",
"business_id": 123,
"metadata": {}
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Requires business auth with business:manage_developer_settings.
curl --request GET \
--url https://api.scalev.com/v3/developer/oauth-billing/settlements \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"settlement_rail": "xendit",
"status": "<string>",
"amount": 123,
"currency": "<string>",
"balance_before": 123,
"balance_after": 123,
"description": "<string>",
"xendit_transfer_id": "<string>",
"business_id": 123,
"metadata": {}
}
],
"is_paginated": true,
"has_next": true,
"has_previous": true,
"next_cursor": "<string>",
"previous_cursor": "<string>",
"page_size": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cursor page size.
x >= 1Opaque cursor for the next page.
Opaque cursor for the previous page.
Filter by settlement status.